Bug 3665 - Unable to use encryption of partition
: Unable to use encryption of partition
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-21 13:10 MSK by FirstLevel
Modified: 2014-03-04 19:22 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
01 I have tried to use encryption for /home (59.27 KB, image/png)
2014-01-21 13:11 MSK, FirstLevel
Details
02 I see an error on the screen (57.13 KB, image/png)
2014-01-21 13:11 MSK, FirstLevel
Details
03 I see an error on F12 console (31.40 KB, image/png)
2014-01-21 13:12 MSK, FirstLevel
Details
04 I click OK and see partitioning with encryption symbol (151.28 KB, image/png)
2014-01-21 13:12 MSK, FirstLevel
Details
05 on the stage of formatting an error occured again (121.58 KB, image/png)
2014-01-21 13:13 MSK, FirstLevel
Details
06 formatting error on F12 console (28.79 KB, image/png)
2014-01-21 13:13 MSK, FirstLevel
Details
enc-01.png (137.33 KB, image/png)
2014-02-28 19:40 MSK, FirstLevel
Details
enc-02.png (134.21 KB, image/png)
2014-02-28 19:40 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2014-01-21 13:10:50 MSK
Description of problem:
I have tried to install ROSA 2012.1 Fresh on virtualbox. If I use option "Encryption" for /home partition an error occured.
See attachments with description.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 FirstLevel 2014-01-21 13:11:19 MSK
Created attachment 2566 [details]
01 I have tried to use encryption for /home
Comment 2 FirstLevel 2014-01-21 13:11:43 MSK
Created attachment 2567 [details]
02 I see an error on the screen
Comment 3 FirstLevel 2014-01-21 13:12:11 MSK
Created attachment 2568 [details]
03 I see an error on F12 console
Comment 4 FirstLevel 2014-01-21 13:12:51 MSK
Created attachment 2569 [details]
04 I click OK and see partitioning with encryption symbol
Comment 5 FirstLevel 2014-01-21 13:13:14 MSK
Created attachment 2570 [details]
05 on the stage of formatting an error occured again
Comment 6 FirstLevel 2014-01-21 13:13:32 MSK
Created attachment 2571 [details]
06 formatting error on F12 console
Comment 7 Alexander Burmashev 2014-02-28 14:29:05 MSK
Can you please test encyption on this image
http://file-store.rosalinux.ru/api/v1/file_stores/e8bc99f571100fd95df8d7caf671d7a730d2d837
Comment 8 FirstLevel 2014-02-28 19:39:46 MSK
(In reply to comment #7)
> Can you please test encyption on this image
> http://file-store.rosalinux.ru/api/v1/file_stores/
> e8bc99f571100fd95df8d7caf671d7a730d2d837

I have tried this iso but have an error. See attachments enc-01.png enc-02.png
Unfortunatelly I have no way to switch to the text console in virtualbox machine and could not present You the some other diagnostic information.
Comment 9 FirstLevel 2014-02-28 19:40:03 MSK
Created attachment 2687 [details]
enc-01.png
Comment 10 FirstLevel 2014-02-28 19:40:19 MSK
Created attachment 2688 [details]
enc-02.png
Comment 11 Konstantin Vlasov 2014-02-28 20:05:06 MSK
The problem with fs::dmcrypt::save_crypttab_ will be fixed when drakxtools-14.44-14 is published (bug #3792).
Comment 12 Konstantin Vlasov 2014-03-03 21:54:01 MSK
The update has been published, you can test it in the ISO #2852:
https://abf.rosalinux.ru/platforms/rosa2012.1/products/25/product_build_lists/2852
Comment 13 FirstLevel 2014-03-04 19:19:57 MSK
(In reply to comment #12)
> The update has been published, you can test it in the ISO #2852:
> https://abf.rosalinux.ru/platforms/rosa2012.1/products/25/
> product_build_lists/2852

Yes it works. 
I have not found any errors during installation, password is requested, and fstab is appropriate
[root@sergei-VirtualBox ~]# cat /etc/fstab
# Entry for /dev/sda1 :
UUID=27becd64-87e4-4ec8-adba-b48a8326e061 / ext4 acl,relatime 1 1
/dev/mapper/crypt_sda6 /home ext4 noatime 0 0
none /proc proc defaults 0 0
# Entry for /dev/sda5 :
UUID=a3862fe3-fa6b-427f-a93a-7cc142156fe5 swap swap defaults 0 0
[root@sergei-VirtualBox ~]#